Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt.browser
Class ProgressEvent

    java.lang.Object
      Event
          org.eclipse.swt.events.TypedEvent
              org.eclipse.swt.browser.ProgressEvent

public class ProgressEvent
extends TypedEvent

A `ProgressEvent` is sent by a `Browser` to `ProgressListener`'s when a progress is made during the loading of the current URL or when the loading of the current URL has been completed.

IMPORTANT: All `public static` members of this class are not part of the RWT public API. They are marked public only so that they can be shared within the packages provided by RWT. They should never be accessed from application code.

Since:
  1.4
See Also:
  Serialized Form

Field Summary
`static int` `CHANGED`
`static int` `COMPLETED`
`int` `current` current value
`int` `total` total value

Fields inherited from class org.eclipse.swt.events.TypedEvent
`data, display, widget`

Constructor Summary
`ProgressEvent(Widget widget)` Constructs a new instance of this class.
`ProgressEvent(Widget source, int id)` Constructs a new instance of this class.

Method Summary
`static void` `addListener(Adaptable adaptable, ProgressListener listener)`
`protected boolean` `allowProcessing()`
`protected void` `dispatchToObserver(java.lang.Object listener)`
`static java.lang.Object[]` `getListeners(Adaptable adaptable)`
`protected java.lang.Class` `getListenerType()`
`static boolean` `hasListener(Adaptable adaptable)`
`static void` `removeListener(Adaptable adaptable, ProgressListener listener)`
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class org.eclipse.swt.events.TypedEvent
`executeNext, getSource, processEvent, processScheduledEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHANGED

    public static final int CHANGED

See Also:
  Constant Field Values

### COMPLETED

    public static final int COMPLETED

See Also:
  Constant Field Values

### current

    public int current

  current value

### total

    public int total

  total value

Constructor Detail

### ProgressEvent

    public ProgressEvent(Widget widget)

  Constructs a new instance of this class.

Parameters:
  `widget` - the widget that fired the event

### ProgressEvent

    public ProgressEvent(Widget source,
                         int id)

  Constructs a new instance of this class.

  IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Method Detail

### dispatchToObserver

    protected void dispatchToObserver(java.lang.Object listener)

  Overrides:
    `dispatchToObserver` in class `TypedEvent`

### getListenerType

    protected java.lang.Class getListenerType()

  Overrides:
    `getListenerType` in class `TypedEvent`

### allowProcessing

    protected boolean allowProcessing()

  Overrides:
    `allowProcessing` in class `TypedEvent`

### hasListener

    public static boolean hasListener(Adaptable adaptable)

### addListener

    public static void addListener(Adaptable adaptable,
                                   ProgressListener listener)

### removeListener

    public static void removeListener(Adaptable adaptable,
                                      ProgressListener listener)

### getListeners

    public static java.lang.Object[] getListeners(Adaptable adaptable)

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Overrides:
    `toString` in class `TypedEvent`
  Returns:
    a string representation of the event

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.